
<!DOCTYPE html>
<html>

<head>
  
   
<style>
    .tableheader{
        color: aliceblue;
    }

    .radioClass{
        position: inherit !important;
    width: 35px !important;
    height: 16px !important;
    }
</style>

</head>
<body>
    <header id="site-header" class="site-header" ng-class="{'hidden': showSignupBar}">
        <!-- Middle Header -->
        <div class="header menutpheader">
          <div class="menu-nav animate__animated animate__slideInDown">
            
              <div class="topbar shadow-sm">
              
                <div class="logo col-lg-2 col-xs-3 text-center" id="menuBarLogo">
                  <div id="innerlogoo" style="    text-align: start;">
                    <a id="logoarthome">
                    <img src="{{ServerService.listPath}}file/download/{{logoId}}" height="75px" width="159px;"alt="Alogo" class="menulogo" /></a>
                  </div>
                </div>
            </div>

          </div>
             
        </div>
        <!--/ End Header Bottom -->
    </header>
<div class="container" style="margin-top:100px">
    <h2><b>Quotation</b></h2>
    <div class="row">
        <div class="col-8 ds-flx">
            <h6>Quotation Reference No.:</h6>&nbsp; &nbsp;&nbsp;&nbsp; <p>{{refrenceNo}}</p>
        </div>
        <div class="col-4 ds-flx ">
            <h6>Date:</h6> &nbsp; &nbsp;&nbsp;&nbsp; <p></p>
        </div>
    </div>
    <div class="container" ng-If="product_type == 'F'"><br>
			
       

		
    <div class="panel panel-primary" style="    border: 1px solid #c1c1c1;" ng-repeat="quatationsegmentGroup in flightDetailsQuotation track by $index" ng-init="parentIndex = $index">
        <div class="panel-heading" style="    color: aliceblue;    background-color: #3894b9;border-color: #ebccd1;">Flight Option {{$index+1}} <span style="margin-left: 88%;
      font-size: 17px;cursor: pointer;">  </span></div>
        <div class="panel-body" style="margin-top:2%;">
                              <div class="row" ng-repeat="segmentGroup in quatationsegmentGroup.segGrpList track by $index" ng-init="childIndex = $index">
                  <div class="col-md-2 logo-space">
                      <div class="logo-sec"  style="text-align: center;"ng-show="$index==0">
                        <img class="airline-logo" style=" width:36px;" src="images/Airlines/sm{{segmentGroup.segList[0].airline}}.png">
                        <span class="title" style="display: block;
                        text-transform: capitalize;
                        font-weight: 600;">{{segmentGroup.segList[0].airlineName}}</span>
                        <!-- <span class="operatedBy">Operated by {{segmentGroup.segList[0].airlineName}}</span> -->
                        <span ng-If="segmentGroup.segList[0].opAirlnName == null" class="ft-sz-12">Operated by {{segmentGroup.segList[0].airlineName}}</span>
                        <span ng-If="segmentGroup.segList[0].opAirlnName != null" class="ft-sz-12">Operated by {{segmentGroup.segList[0].opAirlnName}}</span>
                    </div>
                    <div class="logo-sec mt-4"  style="text-align: center;" ng-show="$index!=0">
                        <img class="airline-logo" style="    width: 36px;"src="images/Airlines/sm{{segmentGroup.segList[0].airline}}.png">
                        <span class="title" style="display: block;
                        text-transform: capitalize;
                        font-weight: 600;">{{segmentGroup.segList[0].airlineName}}</span>
                        <!-- <span class="operatedBy">Operated by {{segmentGroup.segList[0].airlineName}}</span> -->
                        <span ng-If="segmentGroup.segList[0].opAirlnName == null" class="ft-sz-12">Operated by {{segmentGroup.segList[0].airlineName}}</span>
                        <span ng-If="segmentGroup.segList[0].opAirlnName != null" class="ft-sz-12">Operated by {{segmentGroup.segList[0].opAirlnName}}</span>
                    </div>
                </div>
                 <div class="col-md-7 px-0" ng-repeat="segmentInfo in segmentGroup.segList track by $index">
                 
                          <div class="airport-part" style="display: flex;text-align: center;align-items: center;min-height: 56px;margin-bottom: 5px;">
                            
  <div class="airport-name departure" style="text-align:right;">
   <h4 style="    margin-top: -4px;
      color: #222222;
      font-size: 15px;
      font-weight: 600;">{{segmentInfo.fltInfoList[0].origin.split("(")[1].split(')')[0]}}, {{segmentInfo.fltInfoList[0].stTime}}
                                  </h4>
                                  <h6 style="color: #909090;
      font-size: 10px;
      margin: 5px 0 0 0;">{{segmentInfo.fltInfoList[0].startDt.substring(6, 8)}}-{{ monthcnvrt(segmentInfo.fltInfoList[0].startDt.substring(4, 6)) | date:'MMM'}}-{{segmentInfo.fltInfoList[0].startDt.substring(0, 4)}}</h6>
                                  <h6 style="color: #909090;
      font-size: 10px;
      margin: 5px 0 0 0;">
                                      {{segmentInfo.fltInfoList[0].origin}}
                                  </h6>
  </div>
  <div class="airport-progress" style="    width: 40%;
      padding: 0 15px;
      position: relative;">
     <img src="../../assets/images/flight-img/dep-icon.png" class="dep-icon" width="20" style="top:0px;"><hr>
                                  <!-- <i class="las fa-plane-departure"></i> -->
                                  <img src="../../assets/images/flight-img/arr-icon.png" style="top:0px;"class="arr-icon" width="25">
                                  <div class="stop" style="    position: absolute;
      left: 50%;
      -webkit-transform: translateX(-50%);
      transform: translateX(-50%);
      top: -21px;
      font-size: 12px;
      width: 100%;
      color: gray;">
                                       <span class="blink hrs-sz" style="color: red;" ng-show="segmentInfo.stops>0">{{segmentInfo.dispDuration}} ( {{segmentInfo.stops}} stop) </span><span ng-show="segmentInfo.stops==0" class="hrs-sz">{{segmentInfo.dispDuration}} ( {{segmentInfo.stops}} stop) </span>
                                  </div>
  </div>
  <div class="airport-name arrival" style="text-align:left;">
     <h4 style="    margin-top: -4px;
      color: #222222;
      font-size: 15px;
      font-weight: 600;">
                                      {{segmentInfo.fltInfoList[segmentInfo.fltInfoList.length-1].dest.split("(")[1].split(')')[0]}}, {{segmentInfo.fltInfoList[segmentInfo.fltInfoList.length-1].arrTime}}
                                  </h4>
                                  <h6  style="color: #909090;
      font-size: 10px;
      margin: 5px 0 0 0;">{{segmentInfo.fltInfoList[segmentInfo.fltInfoList.length-1].endDt.substring(6, 8)}}-{{ monthcnvrt(segmentInfo.fltInfoList[segmentInfo.fltInfoList.length-1].endDt.substring(4, 6)) | date:'MMM'}}-{{segmentInfo.fltInfoList[segmentInfo.fltInfoList.length-1].endDt.substring(0,
                                      4)}}
                                  </h6>
                                  <h6 style="color: #909090;
      font-size: 10px;
      margin: 5px 0 0 0;">
                                      {{segmentInfo.fltInfoList[segmentInfo.fltInfoList.length-1].dest}}
                                  </h6>
  </div>
  
                          </div>
                          
                 </div>
                 <div class="col-md-3 row">
                     <div class="col-md-5 text-right"  ng-show="$index==0">
                         <div class="first mb-2">     <h4 style="    margin-bottom: -4px;
                          font-weight: 600;
                          font-size: 15px;">Total</h4></div>
                         <div class="first mb-3" ng-show="$index==0"><label for="company-address">Markup</label></div>
                         <div class="first" ng-show="$index==0"><label for="company-address">Discount</label></div>
                         <div class="first" ng-show="$index==0" style="width:max-content;"><label for="company-address">Grand Total</label></div>
                     </div>
                     <div class="col-md-1">
                      <div class="second mb-2"  ng-show="$index==0">:</div>
                      <div class="second mb-3" ng-show="$index==0">:</div>
                      <div class="second mb-2" ng-show="$index==0">:</div>
                      <div class="second mb-2" ng-show="$index==0">:</div>
                  </div>
                  <div class="col-md-5 text-left">
                      <div class="third"  ng-show="$index==0"><h6>AED {{quatationsegmentGroup.totFare}}</h6></div>
                      <div class="third" ng-show="$index==0">
                          
                          <input type="text" readonly value="0" onkeyup="if (event.srcElement.value.charAt(0) == '0') { event.srcElement.value = event.srcElement.value.slice(1); };
                          this.value=this.value.replace(/[^0-9]/g, '')" style="height: 29px; text-align:right;"ng-keyup="markup(quatationsegmentGroup,parentIndex);" id="markupValue_{{parentIndex}}" 
                           pattern="^[a-zA-Z0-9_\-.]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-.]+$"
                          class="form-control  traveller-details-upper" required /></div>&nbsp;
                      <div class="third" ng-show="$index==0"><input type="text"  readonly  onkeyup="if (event.srcElement.value.charAt(0) == '0') { event.srcElement.value = event.srcElement.value.slice(1); };
                          this.value=this.value.replace(/[^0-9]/g, '')" style="margin-top:-11px;height: 29px;  text-align:right;" id="discountValue_{{parentIndex}}" ng-keyup="markup(quatationsegmentGroup,parentIndex);" 
                           pattern="^[a-zA-Z0-9_\-.]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-.]+$"
                          class="form-control  traveller-details-upper" required value="0"/></div>
                      <div class="third" ng-show="$index==0" style="margin-top: 5px;"><h6>AED {{quatationsegmentGroup.grndTotal}}</h6></div>
                  </div>
  
     
    
  </div>
                <div class="col-md-2 text-left align-self-end" ng-show="$last">
                  <button type="button" class="flight-more-option" ng-click="eachFlightDetails(parentIndex,quatationsegmentGroup,childIndex);">
                      <i class="las la-fighter-jet"></i> Flight Details
                    </button>
      </div>
            
       
   
  </div>
  
  
       <div class="v-modal-body" style="padding-left: 14px;
          padding-right: 14px;" ng-repeat="(in,segment) in flightDetails1.segGrpList track by $index" ng-If="parentIndex == scrollTraget && flightDetailsQuotation[scrollTraget].segGrpList[segGrpListchildIndex].isOpen">
                              <span>
          <div class="v-card__text" style="border: 1px solid rgba(0, 0, 0, 0.09);
            padding: 5px 10px; margin-top:25px;" ng-repeat="(x,segmentList) in segment.segList" >
          
              <div class="review-section" ng-repeat="(key,info) in segmentList.fltInfoList">
                  <div class="review_box">
                      <div class="flight_detail">
                          <div class="row">
                              <div class="col-md-3">
                                  <div class="logo-sec">
  
                                      <img src="images/Airlines/sm{{info.airline}}.png" alt="" class="img-fluid blur-up lazyloaded logo-img-alt">
                                      <span class="title"><span class="airline">{{info.airlineName}}</span>
                                      <span>{{info.airline}} - {{info.fltNum}}</span>
                                      <!-- <span>Operated by {{info.airlineName}}</span> -->
                                      <span ng-If="info.opAirlnName == null">Operated by {{info.airlineName}}</span>
                                      <span ng-If="info.opAirlnName != null">Operated by {{info.opAirlnName}}</span>
                                      </span>
                                  </div>
                              </div>
                              <div class="col-md-7 px-0">
                                  <div class="airport-part">
                                      <div class="airport-name departure">
                                          <p class="dateTime clr-red">{{info.stTime}} <span>On {{info.startDt.substring(6,8)}} {{ monthcnvrt(info.startDt.substring(4,6)) | date:'MMM'}} {{info.startDt.substring(0,4)}}</span></p>
                                          <h6>{{info.origin}}</h6>
                                      </div>
                                      <div class="airport-name arrival">
                                          <p class="dateTime clr-red">{{info.arrTime}} <span>On {{info.endDt.substring(6,8)}} {{ monthcnvrt(info.endDt.substring(4,6)) | date:'MMM'}} {{info.endDt.substring(0,4)}}</span></p>
                                          <h6>{{info.dest}}</h6>
                                      </div>
                                  </div>
  
                              </div>
  
                              <div class="col-md-2">
                                  <div class="duration">
                                      <div>
                                          <h6>{{info.duration | myDateFilter}}</h6>
                                          <!-- <p>{{segmentList.stops}} stop</p> -->
                                          <p>{{flightDetails1.classType}}</p>
                                      </div>
                                  </div>
                              </div>
  
                          </div>
  
                      </div>
                      <div class="transfer-time" ng-show="info.dispTransitDuration && segmentList.fltInfoList.length!=$index+1">
                          <p ng-show="info.dispTransitDuration"><span class="binking">Waiting in airport: <span>{{info.dispTransitDuration}}</span></span></p>
                                  </div>
                  </div>
  
  
  
              </div>
          </div>
  
  </span>
      </div>
        </div>
      </div><br>
        
        </div>
        <div class="container" ng-If="product_type == 'I'"><br>
            <div class="panel-group" style="border: 1px solid #c1c1c1;">
                <div class=" panel-primary" ng-repeat="availablePlan in selectedQuoteAvilplan track by $index" >
                    <div class="panel-heading" style="    color: aliceblue;    background-color: #3894b9;border-color: #ebccd1;">Travel Plan {{$index+1}}<span ng-click="availablePlanRemove($index);" style="margin-left: 88%;
                  font-size: 17px;cursor: pointer;"></span></div>
                   <div class="panel-body" style="margin-top:2%;">
                    <div class="row">
                        <div class="col-md-9">
                        <label class="col" ng-click="availPlans($index);" >
    
                            <div class="row pt-3">
         
    
    
                                <span style="padding-left: 40px;" ng-bind="renderHTMLFactory.setTitle(availablePlan.planTitle)"></span> &minus;
                                <span class="fare" ng-bind="availablePlan.currencyCode"></span>&nbsp;<span class="fare" ng-bind="availablePlan.totalFare|number:2"></span><br />
                               
                            </div>
                            <p class="pt-5" ng-bind-html="renderHTMLFactory.renderHTML(availablePlan.planContent)"></p>
    
                        </label>
                        </div>
                        <div class="col-md-3 row">
                            <div class="col-md-5 text-right"  ng-show="$index==0">
                                <div class="first mb-2">     <h4 style="    margin-bottom: -4px;
                                 font-weight: 600;
                                 font-size: 15px;">Total</h4></div>
                                <div class="first mb-3" ng-show="$index==0"><label for="company-address">Markup</label></div>
                                <div class="first" ng-show="$index==0"><label for="company-address">Discount</label></div>
                                <div class="first" ng-show="$index==0" style="width:max-content;"><label for="company-address">Grand Total</label></div>
                            </div>
                            <div class="col-md-1">
                             <div class="second mb-2"  ng-show="$index==0">:</div>
                             <div class="second mb-3" ng-show="$index==0">:</div>
                             <div class="second mb-2" ng-show="$index==0">:</div>
                             <div class="second mb-2" ng-show="$index==0">:</div>
                         </div>
                         <div class="col-md-5 text-left">
                             <div class="third"  ng-show="$index==0"><h6>AED {{availablePlan.totalFare}}</h6></div>
                             <div class="third" ng-show="$index==0">
                                 
                                 <input type="text" readonly ng-model="availablePlan.marKupValue" value="0" onkeyup="if (event.srcElement.value.charAt(0) == '0') { event.srcElement.value = event.srcElement.value.slice(1); };
                                 this.value=this.value.replace(/[^0-9]/g, '')" style="height: 29px; text-align:right;"ng-keyup="availmarkup(availablePlan,$index);" id="markupValue_{{$index}}" 
                                  pattern="^[a-zA-Z0-9_\-.]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-.]+$"
                                 class="form-control  traveller-details-upper" required /></div>&nbsp;
                             <div class="third" ng-show="$index==0"><input type="text" readonly ng-model="availablePlan.disCountValue"  onkeyup="if (event.srcElement.value.charAt(0) == '0') { event.srcElement.value = event.srcElement.value.slice(1); };
                                 this.value=this.value.replace(/[^0-9]/g, '')" style="margin-top:-11px;height: 29px;  text-align:right;" id="discountValue_{{$index}}" ng-keyup="availmarkup(availablePlan,$index);" 
                                  pattern="^[a-zA-Z0-9_\-.]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-.]+$"
                                 class="form-control  traveller-details-upper" required value="0"/></div>
                             <div class="third" id="grandTotal_{{$index}}"ng-show="$index==0" style="margin-top: 5px;"><h6>AED {{availablePlan.grndTotal}}</h6></div>
                         </div>
         
            
           
         </div>
                </div>
                </div>
                </div>
                </div>

                <div class="panel-group" style="border: 1px solid #c1c1c1;">
                    <div class=" panel-primary" ng-repeat="riderPlan in selectedQuoteRiderplan track by $index" >
                        <div class="panel-heading" style="    color: aliceblue;    background-color: #3894b9;border-color: #ebccd1;">LifeStyle Plan {{$index+1}}<span ng-click="lifeStyleRemove(riderPlan.sessionId,$index);" style="margin-left: 88%;
                      font-size: 17px;cursor: pointer;"></span></div>
                       <div class="panel-body" style="margin-top:2%;">
                        <div class="row">
                            <div class="col-md-9">
                            <label class="col" ng-click="availPlans($index);" >
        
                                <div class="row pt-3">
             
        
        
                                    <span style="padding-left: 40px;" ng-bind="renderHTMLFactory.setTitle(riderPlan.planTitle)"></span> &minus;
                                    <span class="fare" ng-bind="riderPlan.currencyCode"></span>&nbsp;<span class="fare" ng-bind="riderPlan.totalFare|number:2"></span><br />
                                   
                                </div>
                                <p class="pt-5" ng-bind-html="renderHTMLFactory.renderHTML(riderPlan.planContent)"></p>
        
                            </label>
                            </div>
                            <div class="col-md-3 row">
                                <div class="col-md-5 text-right">
                                    <div class="first mb-2">     <h4 style="    margin-bottom: -4px;
                                     font-weight: 600;
                                     font-size: 15px;">Total</h4></div>
                                    <div class="first mb-3"><label for="company-address">Markup</label></div>
                                    <div class="first"><label for="company-address">Discount</label></div>
                                    <div class="first" style="width:max-content;"><label for="company-address">Grand Total</label></div>
                                </div>
                                <div class="col-md-1">
                                 <div class="second mb-2">:</div>
                                 <div class="second mb-3">:</div>
                                 <div class="second mb-2">:</div>
                                 <div class="second mb-2">:</div>
                             </div>
                             <div class="col-md-5 text-left">
                                 <div class="third"><h6>AED {{riderPlan.totalFare}}</h6></div>
                                 <div class="third">
                                     
                                     <input type="text" readonly ng-model="riderPlan.marKupValue" value="0" onkeyup="if (event.srcElement.value.charAt(0) == '0') { event.srcElement.value = event.srcElement.value.slice(1); };
                                     this.value=this.value.replace(/[^0-9]/g, '')" style="height: 29px; text-align:right;"ng-keyup="markup(riderPlan,parentIndex);" id="markupValue_{{parentIndex}}" 
                                      pattern="^[a-zA-Z0-9_\-.]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-.]+$"
                                     class="form-control  traveller-details-upper" required /></div>&nbsp;
                                 <div class="third"><input type="text" readonly ng-model="riderPlan.disCountValue"  onkeyup="if (event.srcElement.value.charAt(0) == '0') { event.srcElement.value = event.srcElement.value.slice(1); };
                                     this.value=this.value.replace(/[^0-9]/g, '')" style="margin-top:-11px;height: 29px;  text-align:right;" id="discountValue_{{parentIndex}}" ng-keyup="markup(riderPlan,parentIndex);" 
                                      pattern="^[a-zA-Z0-9_\-.]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-.]+$"
                                     class="form-control  traveller-details-upper" required value="0"/></div>
                                 <div class="third" style="margin-top: 5px;"><h6>AED {{riderPlan.grndTotal}}</h6></div>
                             </div>
             
                
               
             </div>
                    </div>
                    </div>
                    </div>
                    </div>

        </div>
    <div ng-If="product_type == 'H'" class="" ng-include="'views/hotel/hotelQuotation.html'">
</div>
</div>
 

</body>
</html>